# Enum Class Signature.TypeArg.Bounded.WildcardIndicator

java.lang.Object
java.lang.Enum<Signature.TypeArg.Bounded.WildcardIndicator>
java.lang.classfile.Signature.TypeArg.Bounded.WildcardIndicator

All Implemented Interfaces:
  `Serializable`, `Comparable<Signature.TypeArg.Bounded.WildcardIndicator>`, `Constable`

Enclosing interface:
  `Signature.TypeArg.Bounded`

public static enum Signature.TypeArg.Bounded.WildcardIndicator extends Enum<Signature.TypeArg.Bounded.WildcardIndicator>
Models a type argument's wildcard indicator.

See Java Language Specification:
  4.5.1 Type Arguments of Parameterized Types
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXTENDS`
Upper-bound indicator `+`.
`NONE`
No wildcard (empty), an exact type.
`SUPER`
Lower-bound indicator `-`.

## Method Summary

Modifier and Type
Method
Description
`static Signature.TypeArg.Bounded.WildcardIndicator`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Signature.TypeArg.Bounded.WildcardIndicator[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Signature.TypeArg.Bounded.WildcardIndicator NONE
No wildcard (empty), an exact type. Also known as invariant. This is the direct use of a reference type in Java programs.

See Also:
  - `Type`

### EXTENDS

public static final Signature.TypeArg.Bounded.WildcardIndicator EXTENDS
Upper-bound indicator `+`. Also known as covariant. This is the `? extends` prefix in Java programs.

See Also:
  - `WildcardType.getUpperBounds()`

### SUPER

public static final Signature.TypeArg.Bounded.WildcardIndicator SUPER
Lower-bound indicator `-`. Also known as contravariant. This is the `? super` prefix in Java programs.

See Also:
  - `WildcardType.getLowerBounds()`

## Method Details

### values

public static Signature.TypeArg.Bounded.WildcardIndicator[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Signature.TypeArg.Bounded.WildcardIndicator valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null